### Property

# Ide DebuggerBreakpoint:disposition

#### Declaration

    property disposition: Ide.DebuggerDisposition [ read, write ]

#### Description

This property describes what should happen to the breakpoint upon the next stop of the debugger.

Generally, breakpoints are kept. But some backends allow you to remove a breakpoint upon the next stop of the debugger or when the breakpoint is next reached.

This is backend specific, and not all values may be supported by all backends.

Type: | `IdeDebuggerDisposition`
Available since: | 3.32

Setter method | `ide_debugger_breakpoint_set_disposition()`
Getter method | `ide_debugger_breakpoint_get_disposition()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no